{% load static %}
<!DOCTYPE html>
<html>

  <head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Books</title>
    <link rel="stylesheet" href="{% static 'css/app.css' %}">
  </head>

  <body>
    <header>
      <nav>
        <ul>
          <li>
            <a href="{% url 'magazines_list' %}">Magazines</a>
          </li>
          <li>
            <a href="{% url 'books_list' %}">Books</a>
          </li>
          <li>
            <a href="{% url 'admin:index' %}">Admin</a>
          </li>
          <li>
            <a href="{% url 'create_book' %}">Add a book</a>
          </li>
        </ul>
      </nav>
    </header>
    <main>
      {% for book in books %}
      <div class="section">
      <a href={% url 'detail_book' book.pk %}>                                                                                                                                                                          
        <img src={{book.cover}} alt="cover" width=200px height=auto>
        <h2>{{book.name}}</h2>
      </a>
      <p>Authors:</p>
      {% for author in book.authors.all %}
      <p>{{ author }}</p>
      {% endfor %}
      <a href={% url 'update_book' book.pk %}><button type="button">Edit This book</button></a>
    </div>
    <hr>
      {% endfor %}
    </main>
  </body>

</html>